#!/bin/bash

if [ ! $1 ]; then
	echo "Please provide the output of the nscf calculation on the stencil grid"
	exit
fi

awk '{
	if ($0 ~ /number of electrons/) {
		nelect=int($5)
	}
	
	if ($0 ~ /number of Kohn-Sham states/) {
		nbands=$5
	}
	
	if ($0 ~ /number of k points/) {
		nkpt=$5
	}
	
	if ($0 ~ /End of band structure calculation/) {
	        for (i=1;i<=5;i++) {
	        	print "empty" i
	        }
	        
		print nelect, nkpt, nbands
		getline #skip empty
		
		for (k=0;k<nkpt;k++) {
			print ""
			getline #k point line
			print "kx ky kz w"
			getline #skip empty
			getline #first bands line
			band=1
			while (NF > 0) {
				for (b=1;b<=NF;b++)
					print band++, $b
				getline
			}
		}
		
	}
	
}' $1
